<?php

declare(strict_types=1);

namespace Drupal\miniorange_webauthn\MoRepo;

use Webauthn\PublicKeyCredentialUserEntity;

interface MoPubKeyCredUserRepoInterface
{
    public function findOneById(?int $id): ?PublicKeyCredentialUserEntity;
    public function findOneByUsername(string $username): ?PublicKeyCredentialUserEntity;

//    public function findOneByUserHandle(string $userHandle): ?PublicKeyCredentialUserEntity;
}
